rem From image %1, makes 9-panel with varying number of colors.
rem %2 is first number. Default 1.
rem %3 is increment. Default 1.
rem %4 is 0 (no dither) or 1 (dither). Default 1.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 c9


set BASE=%2
if "%BASE%"=="" set BASE=1

set DIFF=%3
if "%DIFF%"=="" set DIFF=1

set DITH=%2
if "%DITH%"=="" set DITH=1

if %DITH%==0 (
  set sDITH=+dither
) else (
  set sDITH=
)

@set /A f0=%BASE%
@set /A f1=%BASE%+%DIFF%
@set /A f2=%BASE%+(%DIFF%*2)
@set /A f3=%BASE%+(%DIFF%*3)
@set /A f4=%BASE%+(%DIFF%*4)
@set /A f5=%BASE%+(%DIFF%*5)
@set /A f6=%BASE%+(%DIFF%*6)
@set /A f7=%BASE%+(%DIFF%*7)
@set /A f8=%BASE%+(%DIFF%*8)

@set OPTIONS=+dither

%IMG7%magick %INFILE% -resize "300x300^>" ^
  %sDITH% ^
  ( -clone 0 ^
    ( -clone 0 %OPTIONS% -colors %f0% -gravity center label:"-colors %f0%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -colors %f1% -gravity center label:"-colors %f1%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -colors %f2% -gravity center label:"-colors %f2%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 %OPTIONS% -colors %f3% -gravity center label:"-colors %f3%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -colors %f4% -gravity center label:"-colors %f4%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -colors %f5% -gravity center label:"-colors %f5%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 %OPTIONS% -colors %f6% -gravity center label:"-colors %f6%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -colors %f7% -gravity center label:"-colors %f7%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -colors %f8% -gravity center label:"-colors %f8%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  -delete 0 ^
  -append +repage ^
  %OUTFILE%

call echoRestore

