rem From image %1, makes 9-panel with varying geometry for "-mode".
rem %2 is first number.
rem %3 is increment.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call %PICTBAT%setInOut %1 md9


@set BASE=%2
@if "%BASE%"=="" set BASE=1

@set DIFF=%3
@if "%DIFF%"=="" set DIFF=1

@set /A f0=%BASE%
@set /A f1=%BASE%+%DIFF%
@set /A f2=%BASE%+(%DIFF%*2)
@set /A f3=%BASE%+(%DIFF%*3)
@set /A f4=%BASE%+(%DIFF%*4)
@set /A f5=%BASE%+(%DIFF%*5)
@set /A f6=%BASE%+(%DIFF%*6)
@set /A f7=%BASE%+(%DIFF%*7)
@set /A f8=%BASE%+(%DIFF%*8)

@set OPTIONS=+dither

%IMG7%magick %INFILE% -resize "300x300^>" ^
  +dither ^
  ( -clone 0 ^
    ( -clone 0 %OPTIONS% -statistic mode %f0%x%f0% -gravity center label:"-mode %f0%x%f0%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -statistic mode %f1%x%f1% -gravity center label:"-mode %f1%x%f1%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -statistic mode %f2%x%f2% -gravity center label:"-mode %f2%x%f2%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 %OPTIONS% -statistic mode %f3%x%f3% -gravity center label:"-mode %f3%x%f3%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -statistic mode %f4%x%f4% -gravity center label:"-mode %f4%x%f4%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -statistic mode %f5%x%f5% -gravity center label:"-mode %f5%x%f5%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  ( -clone 0 ^
    ( -clone 0 %OPTIONS% -statistic mode %f6%x%f6% -gravity center label:"-mode %f6%x%f6%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -statistic mode %f7%x%f7% -gravity center label:"-mode %f7%x%f7%" -append +repage ) ^
    ( -clone 0 %OPTIONS% -statistic mode %f8%x%f8% -gravity center label:"-mode %f8%x%f8%" -append +repage ) ^
    -delete 0 ^
    +append +repage ^
  ) ^
  -delete 0 ^
  -append +repage ^
  %OUTFILE%

